
/* FITS header keyword declaration and initialization */

#define NKEYWDS  26
#define BSIZE  2880

char simple;
int bitpix;
int naxis,naxis1,naxis2, naxis3, naxis4;
float b_zero, bscale;
int numout=0;
int maxthet;
float qdiff;
int nthet1, nthet2;
float dtheta, deltal, deltanu;
int nlstart, nlstop, nltot, maxm;
float daxis1=1., daxis2=1., daxis3=1., daxis4=1.;
float tsam;

struct HDR { 
	char *keyword;
	char *datfmt;
	char *dat;
} hdr[] ={
	"SIMPLE", "%*s %*s %c", (char *) &simple,
	"BITPIX", "%*s %*s %i", (char *) &bitpix,
	"NAXIS",  "%*s %*s %i", (char *) &naxis,
	"NAXIS1", "%*s %*s %i", (char *) &naxis1,
	"NAXIS2", "%*s %*s %i", (char *) &naxis2,
	"NAXIS3", "%*s %*s %i", (char *) &naxis3,
	"NAXIS4", "%*s %*s %i", (char *) &naxis4,
	"BZERO",  "%*s %*s %f", (char *) &b_zero,
	"BSCALE", "%*s %*s %f", (char *) &bscale,
	"NUMOUT", "%*s %*s %d", (char *) &numout,
	"MAXTHET","%*s %*s %d", (char *) &maxthet,
	"QDIFF",  "%*s %*s %f", (char *) &qdiff,
	"NTHET1", "%*s %*s %d", (char *) &nthet1,
	"NTHET2", "%*s %*s %d", (char *) &nthet2,
	"DTHETA", "%*s %*s %f", (char *) &dtheta,
	"DELTAL", "%*s %*s %f", (char *) &deltal,
        "DELTANU","%*s %*s %f", (char *) &deltanu,
	"NLSTART","%*s %*s %d", (char *) &nlstart,
	"NLSTOP", "%*s %*s %d", (char *) &nlstop,
	"NLTOT", " %*s %*s %d", (char *) &nltot,
	"MAXM",  " %*s %*s %d", (char *) &maxm,
        "DAXIS1", "%*s %*s %f", (char *) &daxis1,
        "DAXIS2", "%*s %*s %f", (char *) &daxis2,
        "DAXIS3", "%*s %*s %f", (char *) &daxis3,
        "DAXIS4", "%*s %*s %f", (char *) &daxis4,
        "TSAM",   "%*s %*s %f", (char *) &tsam
};
